# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rrddmma"
version = "0.5.4"
authors = ["Jian Gao <i@icyf.me>"]
description = "A Rust library for RDMA."
readme = "README.md"
license = "MIT"
repository = "https://github.com/IcicleF/rrddmma"

[dependencies.anyhow]
version = "1.0"

[dependencies.libc]
version = "0.2"

[dependencies.local-ip-address]
version = "0.5.1"

[dependencies.log]
version = "0.4.17"

[dependencies.quick-xml]
version = "0.28.2"

[dependencies.rdma-sys]
version = "0.3.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.toml]
version = "0.7.3"

[dev-dependencies.futures]
version = "0.3"

[features]
full_name = []
